From 9fd2ceb55de003c09c909103966db913319bcfdc Mon Sep 17 00:00:00 2001
From: Frederic Cambus <fred@statdns.com>
Date: Tue, 5 Dec 2023 12:23:07 +0100
Subject: [PATCH] debug/getwd_chk.c: warning should be emitted for the
 __getwd_chk symbol.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Otherwise the warning message for the getwd symbol ends up being duplicated.

Signed-off-by: Frederic Cambus <fred@statdns.com>
Reviewed-by: Adhemerval Zanella  <adhemerval.zanella@linaro.org>
Signed-off-by: Andreas K. Hüttel <dilfridge@gentoo.org>
---
 debug/getwd_chk.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/debug/getwd_chk.c b/debug/getwd_chk.c
index dadbb3d865..af19f782aa 100644
--- a/debug/getwd_chk.c
+++ b/debug/getwd_chk.c
@@ -29,5 +29,5 @@ __getwd_chk (char *buf, size_t buflen)
   return res;
 }
 
-link_warning (getwd,
+link_warning (__getwd_chk,
 	      "the `getwd' function is dangerous and should not be used.")
-- 
2.43.0

